Bug 126586 - comma (,) is lost during reverse engineering
comma (,) is lost during reverse engineering
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: Reverse Engineering
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Viktor Lapitski
issues@uml
release601_fixes_candidate2, release6...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-04 06:00 UTC by Ashizawa Kazunori
Modified: 2008-03-20 18:51 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ashizawa Kazunori 2008-02-04 06:00:35 UTC
comma (,) is lost during reverse engineering

Product Version: NetBeans IDE 6.0.1 (Build 200801291616)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: SunOS version 5.11 running on sparc; ISO646-US; en (nb)

1. Create a Java Application project, and add a class.

package javaapplication1;
import java.io.Reader; 
import java.io.BufferedReader;
public class NewClass1 {
    private Reader m_reader = new BufferedReader(null, 0);

}

2. Create a UML Reversed Engineered Java-Platform Model project
   from the above project.

Comma (,) is missing in generated attribute.

  private Reader m_reader = new BufferedReader(null 0)

Generated code also does not include comma (,).
Comment 1 Viktor Lapitski 2008-02-24 07:12:32 UTC
fixed.

changeset:   69424:7e9a44ec9a10
tag:         tip
user:        lvv@netbeans.org
date:        Sat Feb 23 23:08:24 2008 -0800
summary:     Fix for 126586 comma (,) is lost during reverse engineering


and

Checking in uml/core/src/org/netbeans/modules/uml/core/reverseengineering/parsin
gfacilities/translation/expression/ObjectCreationExpression.java;
/cvs/uml/core/src/org/netbeans/modules/uml/core/reverseengineering/parsingfacili
ties/translation/expression/Attic/ObjectCreationExpression.java,v  <--  ObjectCr
eationExpression.java
new revision: 1.2.6.3; previous revision: 1.2.6.2
done
Checking in uml/core/src/org/netbeans/modules/uml/core/reverseengineering/parsin
gfacilities/translation/statehandlers/ExpressionStateHandler.java;
/cvs/uml/core/src/org/netbeans/modules/uml/core/reverseengineering/parsingfacili
ties/translation/statehandlers/Attic/ExpressionStateHandler.java,v  <--  Express
ionStateHandler.java
new revision: 1.2.6.3; previous revision: 1.2.6.2
Comment 2 Joanne Lau 2008-02-25 17:18:23 UTC
Fix verified in 6.1 build 200802250003
Comment 3 Karthikeyan Rajeswaran 2008-03-08 21:20:56 UTC
The fix has been ported into the release601_fixes branch.

Checking in ObjectCreationExpression.java;
/cvs/uml/core/src/org/netbeans/modules/uml/core/reverseengineering/parsingfacilities/translation/expression/Attic/ObjectCreationExpression.java,v
 <--  ObjectCreationExpression.java
new revision: 1.4.10.1; previous revision: 1.4
done

Checking in ExpressionStateHandler.java;
/cvs/uml/core/src/org/netbeans/modules/uml/core/reverseengineering/parsingfacilities/translation/statehandlers/Attic/ExpressionStateHandler.java,v
 <--  ExpressionStateHandler.java
new revision: 1.4.10.1; previous revision: 1.4
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo